Subject: Re: [PATCH] Use __always_inline in orinoco_lock()/orinoco_unlock()

From: Dave Jones <[email-masked]>
Date: Tue, 15 Aug 2006 18:50:12 -0400

On Tue, Aug 15, 2006 at 03:25:58PM -0400, Pavel Roskin wrote:

 > diff --git a/drivers/net/wireless/orinoco.h b/drivers/net/wireless/orinoco.h
 > index 16db3e1..8fd9b32 100644
 > --- a/drivers/net/wireless/orinoco.h
 > +++ b/drivers/net/wireless/orinoco.h
 > @@ -135,11 +135,9 @@ extern irqreturn_t orinoco_interrupt(int
 >  /********************************************************************/
 >  
 >  /* These functions *must* be inline or they will break horribly on
 > - * SPARC, due to its weird semantics for save/restore flags. extern
 > - * inline should prevent the kernel from linking or module from
 > - * loading if they are not inlined. */
 > -extern inline int orinoco_lock(struct orinoco_private *priv,
 > -			       unsigned long *flags)
 > + * SPARC, due to its weird semantics for save/restore flags. */

Didn't that get fixed up for SPARC a year or so back?

		Dave

-- 
http://www.codemonkey.org.uk